Bug 996379 - gsyncd errors out on start
gsyncd errors out on start
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Csaba Henk
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 01:37 EDT by Venky Shankar
Modified: 2014-07-11 15:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-11 15:17:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Venky Shankar 2013-08-13 01:37:10 EDT
Description of problem:

Geo-Replication errors out with:

  File "/usr/libexec/glusterfs/python/syncdaemon/master.py", line 880, in crawl
    self.process([self.fname()], done)
  File "/usr/libexec/glusterfs/python/syncdaemon/master.py", line 734, in process
    if self.process_change(change, done, retry):
  File "/usr/libexec/glusterfs/python/syncdaemon/master.py", line 686, in process_change
    st = lstat(go)
  File "/usr/libexec/glusterfs/python/syncdaemon/syncdutils.py", line 392, in lstat
    return os.lstat(e)
OSError: [Errno 22] Invalid argument: '.gfid/]w\x10\xfc\xab\x82M\x1c\xa9\x04s\xaa\xad\xcf\xb76'


Version-Release number of selected component (if applicable):
mainline

How reproducible:
always

Steps to Reproduce:
1. create a geo-rep session
2. start geo-replication
Comment 1 Anand Avati 2013-08-13 01:56:24 EDT
REVIEW: http://review.gluster.org/5589 (gsyncd / geo-rep: use the correct virtual xattr to collect 'gfid') posted (#1) for review on master by Venky Shankar (vshankar@redhat.com)
Comment 2 Anand Avati 2013-09-05 05:34:47 EDT
COMMIT: http://review.gluster.org/5589 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 774e6d162dd826be6357de6112bac5a345790a9e
Author: Venky Shankar <vshankar@redhat.com>
Date:   Tue Aug 13 11:02:21 2013 +0530

    gsyncd / geo-rep: use the correct virtual xattr to collect 'gfid'
    
    Change-Id: Ifea32ad1b2695f1668428fae6b263014bf320b70
    BUG: 996379
    Signed-off-by: Venky Shankar <vshankar@redhat.com>
    Reviewed-on: http://review.gluster.org/5589
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.